Name: data2inc
Version: 1.0
Release: alt2

Summary: Free Pascal include file converter
License: GPL
Group: Development/Other

Source: %name-%version-%release.tar

Conflicts: fpc-utils <= 2.0.2

# Automatically added by buildreq on Mon Jan 22 2007
BuildRequires: fpc

%description
data2inc reads a binary or text file and converts it to a pascal
typed constant declaration.

%prep
%setup -q -n %name-%version-%release

%build
#fpcmake -w
#make distclean all RELEASE=1 CREATESMART=1 LINKSMART=1
fpc -O2 -CX -XX -Xs data2inc.pp
grep -F -m1 -B99 '***}' data2inc.pp >README

%install
install -pD -m755 data2inc %buildroot%_bindir/data2inc
install -pD -m644 data2inc.1 %buildroot%_man1dir/data2inc.1

%files
%doc README data2inc.exm
%_bindir/data2inc
%_man1dir/data2inc.1*

%changelog
* Mon Jan 22 2007 Alexey Tourbin <at@altlinux.ru> 1.0-alt2
- rebuilt with fpc-2.1

* Wed Sep 13 2006 Alexey Tourbin <at@altlinux.ru> 1.0-alt1
- initial revision (set up git repo)
